Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Interface Proxy

All Known Subinterfaces:
  LRSProxy, ProxyCollection, ProxyMap

All Known Implementing Classes:
  ProxyDate

public interface Proxy

Interface implemented by all proxy types to allow setting and nulling of their owning JDO instance.

All concrete proxy classes should be public and have publc no-args constructors so that tools that work via reflection on persistent instances can manipulate them.

Method Summary
`Object` | `copy(Object orig)` Return an unproxied copy of the given instance.
`ChangeTracker` | `getChangeTracker()` Return the change tracker for this proxy, or null if none.
`KodoStateManager` | `getOwner()` Return the owning object.
`int` | `getOwnerField()` Return the owning field index.
`void` | `setOwner(KodoStateManager sm, int field)` Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to.

Method Detail

### setOwner

    public void setOwner(KodoStateManager sm,
                         int field)

  Reset the state of the proxy, and set the owning JDO instance of the proxy and the name of the field it is assigned to. Set to null to indicate that the proxy is no longer managed.

### getOwner

    public KodoStateManager getOwner()

  Return the owning object.

### getOwnerField

    public int getOwnerField()

  Return the owning field index.

### getChangeTracker

    public ChangeTracker getChangeTracker()

  Return the change tracker for this proxy, or null if none.

### copy

    public Object copy(Object orig)

  Return an unproxied copy of the given instance. This method is used by proxy managers to create backup values for use in rollback.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.